Bug 170709 - Requires note that kernel packages remain until removed
Requires note that kernel packages remain until removed
Status: CLOSED RAWHIDE
Product: Fedora Documentation
Classification: Fedora
Component: software-management-guide (Show other bugs)
devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stuart Ellis
Paul W. Frields
:
Depends On: 170712
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-13 17:13 EDT by Stuart Ellis
Modified: 2007-04-18 13:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-30 10:19:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stuart Ellis 2005-10-13 17:13:29 EDT
Description of problem:

Document does not mention that kernel packages are a special case - new kernel
packages do not remove old kernel packages from the system.

The package-cleanup utility in yum-utils has an option for removing old kernels.

How reproducible:


Steps to Reproduce:
1. su -c 'yum update kernel'.
2. Install shiny new kernel.
3. Notice that old kernel is still on GRUB menu.
4. /boot eventually fills up...
Comment 1 Stuart Ellis 2005-10-13 17:44:10 EDT
Bug 170712 for adding yum-utils to this document.
Comment 2 Paul W. Frields 2005-11-11 11:59:57 EST
See information on the new "installonlyn" yum plugin that Jeremy Katz wrote,
which addresses this problem.  It keeps (by default) only the last 2 kernels,
although this is adjustable by the administrator of course.
Comment 3 Stuart Ellis 2005-11-14 19:30:35 EST
Yes, it's definitely a much nicer solution going forward. The current version of
yum doesn't have plugin support set up by default, though, and the plugins
aren't available from Core or Extras, so we may have to treat this as
"unsupported" until FC5.
Comment 4 Stuart Ellis 2006-04-30 10:19:37 EDT
The CVS version of the tutorial covers plugins and installonlyn, so I'm closing
this.

Note You need to log in before you can comment on or make changes to this bug.